Skip to main content
`Ctrl`+`K`

# PetscSortedReal

Determines whether the array of `PetscReal` is sorted.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortedReal(PetscCount n, const PetscReal X[], PetscBool *sorted)

Not Collective

## Input Parameters

- n - number of values

- X - array of integers

## Output Parameter

- sorted - flag whether the array is sorted

## See Also

`PetscSortReal()`, `PetscSortedInt()`, `PetscSortedMPIInt()`

## Level

intermediate

## Location

src/sys/utils/sortd.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages